Skip to main content
POST
/
notification
cURL
curl --request POST \
  --url https://cloud.kaneo.app/api/notification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "title": "<string>",
  "message": "<string>",
  "type": "<string>",
  "relatedEntityId": "<string>",
  "relatedEntityType": "<string>"
}
'
{
  "id": "<string>",
  "userId": "<string>",
  "title": "<string>",
  "content": "<string>",
  "type": "info",
  "createdAt": "<unknown>",
  "isRead": true,
  "resourceId": "<string>",
  "resourceType": "task"
}

Authorizations

Authorization
string
header
required

API Key authentication

Body

application/json
userId
string
required
title
string
required
message
string
required
type
string
required

Response

200 - application/json

Notification created successfully

id
string
required
userId
string
required
title
string
required
content
string | null
required
type
enum<string>
required
Available options:
info,
task_created,
workspace_created,
task_status_changed,
task_assignee_changed,
time_entry_created
createdAt
any
required
isRead
boolean
resourceId
string
resourceType
enum<string>
Available options:
task,
workspace